stages:
  - build
  - deploy

before_script:
  - echo "Before script section"
  - apt-get update
  - apt-get install sshpass -y
  - 'which ssh-agent || ( apt-get update -y && apt-get install openssh-client -y && apt-get install sshpass -y )'

after_script:
  - echo "After script section"
  - echo "For example you might do some cleanup here"

test:
  stage: build 
  script:
    - echo "Do your build here"
    - sshpass -p $SSH_PASS_TEST ssh -o StrictHostKeyChecking=no $USER_NAME_TEST@$SERVER_HOST_TEST "cd providesolution.com.br/trisorte-site && git pull && php composer.phar install --no-scripts"    
  only:
    - master
   
build:
  stage: deploy 
  script:
    - echo "Do your build here"
    - sshpass -p $SSH_PASS ssh -o StrictHostKeyChecking=no $USER_NAME@$SERVER_HOST "cd /home/trisorte/trisorte.com.br/site && git pull && php composer.phar install --no-scripts"    
  only:
    - tags
  except:
    - branches
